%define svn	205
%define rel	12

Name:		gnome-alsamixer
Summary:	ALSA mixer (volume control) for MATE
Version:	0.9.7
Release:	%mkrel 0.%svn.%{rel}
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://www.mageia.org/
Source0:	%{name}-%{svn}.tar.bz2
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
# From ALT Linux: introduce the gconf schema, which is missing
# upstream, and correct the paths to it - AdamW 2007/06
Patch1:	change_gconf-keys_path.diff
Patch2:	gnome-alsamixer.schemas.diff
# add -lm
Patch3: gnome-alsamixer-fixlink.patch
# from debian
Patch4: gnome-alsa-mixer-config-delimiters.patch
# from Arch
Patch5: gnome-alsamixer-drop-libgnomeui.patch
BuildRequires:	pkgconfig(alsa) >= 0.9.0
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
A sound mixer (volume control) for ALSA, built for the MATE desktop
environment.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
./autogen.sh
export CPPFLAGS=-I%{_includedir}/alsa
%configure --disable-schemas-install
%make_build

%install
%make_install

# Menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=gnome-alsamixer
Comment=ALSA volume control for MATE
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;AudioVideo;Mixer;GTK;
EOF

# icon
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog AUTHORS
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/applications/mageia-%{name}.desktop
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9.7-0.205.12.mga10
+ Revision: 2213012
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.9.7-0.205.11.mga9
+ Revision: 1835996
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.9.7-0.205.10.mga8
+ Revision: 1521429
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Dec 25 2018 wally <wally> 0.9.7-0.205.9.mga7
+ Revision: 1344923
- add patch from Arch to drop libgnomeui deps
- drop P1 (included in patch from Arch)

* Sun Sep 23 2018 umeabot <umeabot> 0.9.7-0.205.8.mga7
+ Revision: 1297949
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.9.7-0.205.7.mga6
+ Revision: 950589
- Mageia 6 Mass Rebuild

* Sun Nov 09 2014 cjw <cjw> 0.9.7-0.205.6.mga5
+ Revision: 796115
- imported package gnome-alsamixer


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-0.205.4mdv2011.0
+ Revision: 610914
- rebuild

* Tue Jan 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.205.3mdv2010.1
+ Revision: 493822
- correct typo in .desktop file (bug #57161)

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.9.7-0.205.2mdv2010.0
+ Revision: 429225
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.9.7-0.205.1mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- %%clean_icon_cache must be done in %%postun, not %%preun

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-0.205.1mdv2008.1
+ Revision: 178952
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.9.7-0.205.1mdv2008.0
+ Revision: 47823
- rebuild for 2008
- drop sourced nb.po as it's in upstream now
- improve descriptions
- add fd.o icons
- drop X-Mandriva menu category
- drop old menu
- add patch1 and patch2 from ALT to fix gconf schema
- bump to current SVN (everyone else is doing it...)
- Import gnome-alsamixer



* Wed Aug  2 2006 Götz Waschk <waschk@mandriva.org> 0.9.6-5mdv2007.0
- xdg menu

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 0.9.6-4
- rebuild for png
- %%mkrel

* Wed May 03 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9.6-3mdk
-_rebuild_for_sparc

* Wed Apr 27 2005 Götz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- patch for deprecated GNOME API
- fix build with new alsa

* Sun Jan 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- don't bzip2 icons in src.rpm
- cosmetics
- fix buildrequires (lib64..)
- added nb translation (S1, do it manually, wait for merge upstream in stead of patching makefiles)

* Mon Sep  8 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- fix buildrequires
- new version

* Thu Aug 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- new version

* Sun Jul 20 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-6mdk
- rebuild for new ORBit2

* Tue Jun 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-5mdk
- macro fixes
- fix requires and buildrequires 

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-4mdk
- buildrequires

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-3mdk
- fix buildrequires

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- link with latest libopenssl

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added menu icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
